Runtime

## org.eclipse.gmf.runtime.diagram.ui.requests
Interface RequestConstants

All Superinterfaces:
  RequestConstants

public interface RequestConstants
extends RequestConstants

this class defines the request constants

This interface is not intended to be implemented by clients as new methods may be added in the future.

Field Summary
`static java.lang.String` `REQ_APPLY_APPEARANCE_PROPERTIES` constants for apply appearance properties request
`static java.lang.String` `REQ_ARRANGE_DEFERRED` constants for arrange deferred request
`static java.lang.String` `REQ_ARRANGE_RADIAL` constants for arrange radial request
`static java.lang.String` `REQ_AUTOSIZE` constants for auto size request
`static java.lang.String` `REQ_CHANGE_SORT_FILTER` constants for change sort filter request
`static java.lang.String` `REQ_CHILD_PROPERTY_CHANGE` constant for child property change request
`static java.lang.String` `REQ_DIRECTEDIT_EXTENDEDDATA_INITIAL_CHAR` constant key for extended data in the DirectEditRequest for the initial character
`static java.lang.String` `REQ_DRAG` constants for drag request
`static java.lang.String` `REQ_DROP` constants for drop request
`static java.lang.String` `REQ_DROP_OBJECTS` constants for drop objects request
`static java.lang.String` `REQ_DUPLICATE` constants for duplicate request
`static java.lang.String` `REQ_FILTER_COMPARTMENT_ITEMS` constants for filter compartment items
`static java.lang.String` `REQ_INSERT_SEMANTIC` constants for insert semantic request
`static java.lang.String` `REQ_MOVE_DEFERRED` constants for move deferred request
`static java.lang.String` `REQ_PASTE` constants for paste request
`static java.lang.String` `REQ_PROPERTY_CHANGE` constants for property change request
`static java.lang.String` `REQ_RECALCULATE_PAGEBREAKS` constants for recalculate page breaks request
`static java.lang.String` `REQ_REFRESH` constants for refresh request
`static java.lang.String` `REQ_REFRESH_CONNECTIONS` constants for refresh connections request
`static java.lang.String` `REQ_SEMANTIC_WRAPPER` constants for wrap semantic request
`static java.lang.String` `REQ_SET_ALL_BENDPOINT` constants for set all connection bendpoint request
`static java.lang.String` `REQ_SHOW_ALL_COMPARTMENTS` constant for show all compartments request
`static java.lang.String` `REQ_SHOW_AS_ALTERNATE_VIEW` constants for show as alternate view request
`static java.lang.String` `REQ_SHOW_RELATED_ELEMENTS` constants for show related elements request
`static java.lang.String` `REQ_SHOWHIDE_RELATIONSHIPS` constants for show/hide relationships
`static java.lang.String` `REQ_SNAP_BACK` constants for snap back request
`static java.lang.String` `REQ_SORT_COMPARTMENT_ITEMS` constants for sort copartment items request
`static java.lang.String` `REQ_SORT_FILTER_COMPARTMENT` constants for sort filter compartment
`static java.lang.String` `REQ_SORT_FILTER_CONTENT` constants for sort filter content request
`static java.lang.String` `REQ_TOGGLE_CANONICAL_MODE` constants for toggle canonical mode request
`static java.lang.String` `REQ_TOGGLE_CONNECTION_LABELS` constants for toggle connection labels request

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Field Detail

### REQ_AUTOSIZE

    public static final java.lang.String REQ_AUTOSIZE

  constants for auto size request

  See Also:
    Constant Field Values

### REQ_REFRESH

    public static final java.lang.String REQ_REFRESH

  constants for refresh request

  See Also:
    Constant Field Values

### REQ_REFRESH_CONNECTIONS

    public static final java.lang.String REQ_REFRESH_CONNECTIONS

  constants for refresh connections request

  See Also:
    Constant Field Values

### REQ_DRAG

    public static final java.lang.String REQ_DRAG

  constants for drag request

  See Also:
    Constant Field Values

### REQ_DROP

    public static final java.lang.String REQ_DROP

  constants for drop request

  See Also:
    Constant Field Values

### REQ_DROP_OBJECTS

    public static final java.lang.String REQ_DROP_OBJECTS

  constants for drop objects request

  See Also:
    Constant Field Values

### REQ_PASTE

    public static final java.lang.String REQ_PASTE

  constants for paste request

  See Also:
    Constant Field Values

### REQ_PROPERTY_CHANGE

    public static final java.lang.String REQ_PROPERTY_CHANGE

  constants for property change request

  See Also:
    Constant Field Values

### REQ_SEMANTIC_WRAPPER

    public static final java.lang.String REQ_SEMANTIC_WRAPPER

  constants for wrap semantic request

  See Also:
    Constant Field Values

### REQ_SET_ALL_BENDPOINT

    public static final java.lang.String REQ_SET_ALL_BENDPOINT

  constants for set all connection bendpoint request

  See Also:
    Constant Field Values

### REQ_ARRANGE_RADIAL

    public static final java.lang.String REQ_ARRANGE_RADIAL

  constants for arrange radial request

  See Also:
    Constant Field Values

### REQ_ARRANGE_DEFERRED

    public static final java.lang.String REQ_ARRANGE_DEFERRED

  constants for arrange deferred request

  See Also:
    Constant Field Values

### REQ_MOVE_DEFERRED

    public static final java.lang.String REQ_MOVE_DEFERRED

  constants for move deferred request

  See Also:
    Constant Field Values

### REQ_APPLY_APPEARANCE_PROPERTIES

    public static final java.lang.String REQ_APPLY_APPEARANCE_PROPERTIES

  constants for apply appearance properties request

  See Also:
    Constant Field Values

### REQ_SHOW_RELATED_ELEMENTS

    public static final java.lang.String REQ_SHOW_RELATED_ELEMENTS

  constants for show related elements request

  See Also:
    Constant Field Values

### REQ_SHOWHIDE_RELATIONSHIPS

    public static final java.lang.String REQ_SHOWHIDE_RELATIONSHIPS

  constants for show/hide relationships

  See Also:
    Constant Field Values

### REQ_RECALCULATE_PAGEBREAKS

    public static final java.lang.String REQ_RECALCULATE_PAGEBREAKS

  constants for recalculate page breaks request

  See Also:
    Constant Field Values

### REQ_SORT_FILTER_COMPARTMENT

    public static final java.lang.String REQ_SORT_FILTER_COMPARTMENT

  constants for sort filter compartment

  See Also:
    Constant Field Values

### REQ_SORT_FILTER_CONTENT

    public static final java.lang.String REQ_SORT_FILTER_CONTENT

  constants for sort filter content request

  See Also:
    Constant Field Values

### REQ_FILTER_COMPARTMENT_ITEMS

    public static final java.lang.String REQ_FILTER_COMPARTMENT_ITEMS

  constants for filter compartment items

  See Also:
    Constant Field Values

### REQ_SORT_COMPARTMENT_ITEMS

    public static final java.lang.String REQ_SORT_COMPARTMENT_ITEMS

  constants for sort copartment items request

  See Also:
    Constant Field Values

### REQ_CHANGE_SORT_FILTER

    public static final java.lang.String REQ_CHANGE_SORT_FILTER

  constants for change sort filter request

  See Also:
    Constant Field Values

### REQ_SHOW_AS_ALTERNATE_VIEW

    public static final java.lang.String REQ_SHOW_AS_ALTERNATE_VIEW

  constants for show as alternate view request

  See Also:
    Constant Field Values

### REQ_SNAP_BACK

    public static final java.lang.String REQ_SNAP_BACK

  constants for snap back request

  See Also:
    Constant Field Values

### REQ_TOGGLE_CONNECTION_LABELS

    public static final java.lang.String REQ_TOGGLE_CONNECTION_LABELS

  constants for toggle connection labels request

  See Also:
    Constant Field Values

### REQ_TOGGLE_CANONICAL_MODE

    public static final java.lang.String REQ_TOGGLE_CANONICAL_MODE

  constants for toggle canonical mode request

  See Also:
    Constant Field Values

### REQ_INSERT_SEMANTIC

    public static final java.lang.String REQ_INSERT_SEMANTIC

  constants for insert semantic request

  See Also:
    Constant Field Values

### REQ_DUPLICATE

    public static final java.lang.String REQ_DUPLICATE

  constants for duplicate request

  See Also:
    Constant Field Values

### REQ_CHILD_PROPERTY_CHANGE

    public static final java.lang.String REQ_CHILD_PROPERTY_CHANGE

  constant for child property change request

  See Also:
    Constant Field Values

### REQ_SHOW_ALL_COMPARTMENTS

    public static final java.lang.String REQ_SHOW_ALL_COMPARTMENTS

  constant for show all compartments request

  See Also:
    Constant Field Values

### REQ_DIRECTEDIT_EXTENDEDDATA_INITIAL_CHAR

    public static final java.lang.String REQ_DIRECTEDIT_EXTENDEDDATA_INITIAL_CHAR

  constant key for extended data in the DirectEditRequest for the initial character

  See Also:
    Constant Field Values

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.